SDL_HasAVX2(3)

NAME
SDL_HasAVX2 - Determine whether the CPU has AVX2 features.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasAVX2(void);

DESCRIPTION
This always returns false on CPUs that aren't using Intel instruction sets.

RETURN VALUE
Returns true if the CPU has AVX2 features or false if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasAVX(3), •(3), SDL_HasAVX512F(3)